import { Observable } from 'rxjs/Observable';
import { ActivitiesHttpService } from '../_http/activities-http.service';
import { ChaptersHttpService } from '../_http/chapters-http.service';
import { ClassesHttpService } from '../_http/classes-http.service';
import { CountriesHttpService } from '../_http/countries-http.service';
import { DisciplinesHttpService } from '../_http/disciplines-http.service';
import { ModulesHttpService } from '../_http/modules-http.service';
import { NotionsHttpService } from '../_http/notions-http.service';
import { Tree, TreeNumberOptional } from '../../interfaces/tree.interface';
import { User } from '../../models/user.model';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
export declare class SessionService {
    private countriesHttp;
    private classesHttp;
    private disciplinesHttp;
    private chapterHttp;
    private notionsHttp;
    private activitiesHttp;
    private modulesHttp;
    private display;
    private _user;
    userEvent: BehaviorSubject<User>;
    private _tree;
    private treeEvent;
    user: User;
    constructor(countriesHttp: CountriesHttpService, classesHttp: ClassesHttpService, disciplinesHttp: DisciplinesHttpService, chapterHttp: ChaptersHttpService, notionsHttp: NotionsHttpService, activitiesHttp: ActivitiesHttpService, modulesHttp: ModulesHttpService, display: any);
    emptyUser(): void;
    currentTree(): Observable<Tree>;
    editTree(value: TreeNumberOptional): void;
    currentCountryClass(): Observable<string[]>;
    private trimTree(value);
    private currentCountry();
    private currentClass();
    private currentDiscipline();
    private currentChapter();
    private currentNotion();
    private currentActivity();
    private currentModule();
}
